Skip to main content
GET
/
videos
/
all
List video generations
curl --request GET \
  --url https://mvp.tryunsora.com/api/v1/videos/all \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://mvp.tryunsora.com/api/v1/videos/all"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://mvp.tryunsora.com/api/v1/videos/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "generations": [
    {
      "id": "<string>",
      "model": "seedance_2.0",
      "createdAt": "2023-11-07T05:31:56Z",
      "prompt": "<string>",
      "ratio": "<string>",
      "duration": 123,
      "creditsUsed": 123,
      "error": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z",
      "outputAsset": {},
      "thumbnailAsset": {}
    }
  ],
  "pagination": {
    "currentPage": 123,
    "totalPages": 123,
    "totalCount": 123,
    "limit": 123,
    "hasNextPage": true,
    "hasPreviousPage": true
  }
}
{
"error": "<string>",
"success": true,
"code": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"success": true,
"code": "<string>",
"message": "<string>"
}
Returns video generations (all video models) for the authenticated user, newest first. Filter to a single model with the model query parameter. GET /videos/all

Query parameters

page
integer
default:"1"
Page number (1-based).
limit
integer
default:"12"
Items per page. Min 1, max 100.
model
string
Filter by video model key (e.g. seedance-2.0, veo, kling-pro, sora-2, wan). Defaults to all video models.

Response

{
  "success": true,
  "generations": [
    {
      "id": "cm123abc",
      "model": "seedance_2.0",
      "prompt": "Slow cinematic drone shot over misty mountains",
      "status": "COMPLETED",
      "ratio": "16:9",
      "duration": 5,
      "creditsUsed": 40,
      "error": null,
      "createdAt": "2026-06-02T12:00:00.000Z",
      "updatedAt": "2026-06-02T12:01:30.000Z",
      "outputAsset": { "id": "...", "url": "https://files.tryunsora.com/....mp4" },
      "thumbnailAsset": { "id": "...", "url": "https://files.tryunsora.com/....jpg" }
    }
  ],
  "pagination": {
    "currentPage": 1,
    "totalPages": 3,
    "totalCount": 28,
    "limit": 12,
    "hasNextPage": true,
    "hasPreviousPage": false
  }
}

Example

curl "https://mvp.tryunsora.com/api/v1/videos/all?page=1&limit=12" \
  -H "Authorization: Bearer uns_live_YOUR_API_KEY"

Errors

HTTPWhen
401Invalid auth
404User not found
500Server error

Authorizations

Authorization
string
header
required

Clerk session JWT or Unsora API key (uns_live_*)

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:12
Required range: 1 <= x <= 100
model
string

Filter by video model key (e.g. seedance-2.0, veo, kling-pro). Defaults to all video models.

Response

Paginated list

success
boolean
required
generations
object[]
required
pagination
object
required